INSTANCE PC_Mage2(C_NPC)
// PlayerInstanz
{
	
	//-------- primary data --------
	name[0]		= "Gracz Mag";
	slot		= "Player Mage";
	guild		= GIL_KDF;
	level		= 3;
	exp 		= 2000;
	voice		= 3;
	id			= 3;

	//--------- abilities --------
	attribute[ATR_STRENGTH] =		3;
	attribute[ATR_DEXTERITY] =		3;
	attribute[ATR_MANA_MAX] =		15;
	attribute[ATR_MANA] =			15;
	attribute[ATR_MADNESS_MAX] =	15;
	attribute[ATR_MADNESS] =		15;
	attribute[ATR_HITPOINTS_MAX] =	15;
	attribute[ATR_HITPOINTS] =		15;

	talents		= 0;

	Npc_LearnSpell(self, SPL_LIGHT);
	Npc_LearnSpell(self, SPL_FIREBALL);
	Npc_LearnSpell(self, SPL_TRANSFORM);
	Npc_LearnSpell(self, SPL_HEAL);
	Npc_LearnSpell(self, SPL_TELEPORTATION);
	Npc_LearnSpell(self, SPL_LIGHTNING);
	
	//-------- visuals --------
	// 					animations
	Mdl_SetVisual		(self,"humans.mds");
	// 						   body mesh,				head mesh,				hairmesh,	face-tex,	hair-tex,	skin	
	Mdl_SetVisualMesh	(self,"hus_body_mage2_u01.asc",	"Hum_Head_Hair5.mms",	"",			DEFAULT,	DEFAULT,	DEFAULT);

	
	//	Random_Anis
	/*
	Mdl_ApplyRandomAni		(self,"S_RUN","R_SCRATCHHEAD");
	Mdl_ApplyRandomAni		(self,"S_RUN","R_SCRATCHASS");
	Mdl_ApplyRandomAni		(self,"S_RUN","R_SCRATCHEGG");
	Mdl_ApplyRandomAni		(self,"S_RUN","R_CROSSARMS");
	Mdl_ApplyRandomAniFreq	(self,"S_RUN",10.0);

	Mdl_ApplyRandomAni		(self,"S_1HRUN","R_1hInspect");
	Mdl_ApplyRandomAni		(self,"S_1HRUN","R_1hInspect");
	Mdl_ApplyRandomAni		(self,"S_1HRUN","R_1hTricky");
	Mdl_ApplyRandomAniFreq	(self,"S_1HRUN",20.0);*/

	//-------- inventory --------
	EquipItem     (self, Club);
	CreateInvItem (self, MageCoif);
	CreateInvItem (self, TeleportStone);

	CreateInvItems(self, HealingPotion, 20);
	CreateInvItems(self, ManaPotion, 20);
	CreateInvItems(self, PsiPotion, 20);
	CreateInvItems(self, HolyWater, 5);
};

